org.activiti.engine.task

## Interface TaskQuery

- All Superinterfaces:
    Query<TaskQuery,Task>, TaskInfoQuery<TaskQuery,Task>

      public interface TaskQuery
      extends TaskInfoQuery<TaskQuery,Task>

  Allows programmatic querying of `Task`s;
  Author:
    Joram Barrez, Falko Menge, Tijs Rademakers

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskQuery` | `active()` Only selects tasks which are active (ie.
    `TaskQuery` | `excludeSubtasks()` Only select tasks that have no parent (i.e.
    `TaskQuery` | `orderByDueDate()` Deprecated. Use orderByTaskDueDate() instead
    `TaskQuery` | `suspended()` Only selects tasks which are suspended, because its process instance was suspended.
    `TaskQuery` | `taskCandidateOrAssigned(String userIdForCandidateAndAssignee)` Select tasks that has been claimed or assigned to user or waiting to claim by user (candidate user or groups).
    `TaskQuery` | `taskDelegationState(DelegationState delegationState)` Only select tasks with the given `DelegationState`.
    `TaskQuery` | `taskUnassigned()` Only select tasks which don't have an assignee.
    `TaskQuery` | `taskUnnassigned()` Deprecated.

    - ### Methods inherited from interface org.activiti.engine.task.TaskInfoQuery

      `deploymentId, deploymentIdIn, dueAfter, dueBefore, dueDate, endOr, executionId, includeProcessVariables, includeTaskLocalVariables, limitTaskVariables, locale, or, orderByDueDateNullsFirst, orderByDueDateNullsLast, orderByExecutionId, orderByProcessDefinitionId, orderByProcessInstanceId, orderByTaskAssignee, orderByTaskCreateTime, orderByTaskDefinitionKey, orderByTaskDescription, orderByTaskDueDate, orderByTaskId, orderByTaskName, orderByTaskOwner, orderByTaskPriority, orderByTenantId, processCategoryIn, processCategoryNotIn, processDefinitionId, processDefinitionKey, processDefinitionKeyIn, processDefinitionKeyLike, processDefinitionKeyLikeIgnoreCase, processDefinitionName, processDefinitionNameLike, processInstanceBusinessKey, processInstanceBusinessKeyLike, processInstanceBusinessKeyLikeIgnoreCase, processInstanceId, processInstanceIdIn, processVariableValueEquals, processVariableValueEquals, processVariableValueEqualsIgnoreCase, processVariableValueGreaterThan, processVariableValueGreaterThanOrEqual, processVariableValueLessThan, processVariableValueLessThanOrEqual, processVariableValueLike, processVariableValueLikeIgnoreCase, processVariableValueNotEquals, processVariableValueNotEqualsIgnoreCase, taskAssignee, taskAssigneeLike, taskAssigneeLikeIgnoreCase, taskCandidateGroup, taskCandidateGroupIn, taskCandidateUser, taskCategory, taskCreatedAfter, taskCreatedBefore, taskCreatedOn, taskDefinitionKey, taskDefinitionKeyLike, taskDescription, taskDescriptionLike, taskDescriptionLikeIgnoreCase, taskDueAfter, taskDueBefore, taskDueDate, taskId, taskInvolvedUser, taskMaxPriority, taskMinPriority, taskName, taskNameIn, taskNameInIgnoreCase, taskNameLike, taskNameLikeIgnoreCase, taskOwner, taskOwnerLike, taskOwnerLikeIgnoreCase, taskPriority, taskTenantId, taskTenantIdLike, taskVariableValueEquals, taskVariableValueEquals, taskVariableValueEqualsIgnoreCase, taskVariableValueGreaterThan, taskVariableValueGreaterThanOrEqual, taskVariableValueLessThan, taskVariableValueLessThanOrEqual, taskVariableValueLike, taskVariableValueLikeIgnoreCase, taskVariableValueNotEquals, taskVariableValueNotEqualsIgnoreCase, taskWithoutTenantId, withLocalizationFallback, withoutDueDate, withoutTaskDueDate`

    - ### Methods inherited from interface org.activiti.engine.query.Query

      `asc, count, desc, list, listPage, singleResult`

- - ### Method Detail

    - #### taskUnassigned

          TaskQuery taskUnassigned()

      Only select tasks which don't have an assignee.

    - #### taskUnnassigned

          @Deprecated
          TaskQuery taskUnnassigned()

      Deprecated.
      See Also:
        `#taskUnassigned}`

    - #### taskDelegationState

          TaskQuery taskDelegationState(DelegationState delegationState)

      Only select tasks with the given `DelegationState`.

    - #### taskCandidateOrAssigned

          TaskQuery taskCandidateOrAssigned(String userIdForCandidateAndAssignee)

      Select tasks that has been claimed or assigned to user or waiting to claim by user (candidate user or groups). You can invoke `TaskInfoQuery.taskCandidateGroupIn(List)` to include tasks that can be claimed by a user in the given groups while set property dbIdentityUsed to false in process engine configuration or using custom session factory of GroupIdentityManager.

    - #### excludeSubtasks

          TaskQuery excludeSubtasks()

      Only select tasks that have no parent (i.e. do not select subtasks).

    - #### suspended

          TaskQuery suspended()

      Only selects tasks which are suspended, because its process instance was suspended.

    - #### active

          TaskQuery active()

      Only selects tasks which are active (ie. not suspended)

    - #### orderByDueDate

          TaskQuery orderByDueDate()

      Deprecated. Use orderByTaskDueDate() instead
      Order by due date (needs to be followed by `Query.asc()` or `Query.desc()`). This will use the default handling of null values of the used database.

Copyright © 2016 Alfresco. All rights reserved.